[GET]
{{baseUrl}}/api/v1/wallet/ngn/transaction
Header
| Header | Type | Description |
|---|---|---|
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |
Query parameter
| Key | Type | Description |
|---|---|---|
| transaction_id | string | The unique transaction ID |
Sample response
Response
{
"entity": {
"wallet_id": "866a8cde-8073-4214-8b04-d7fd096c1006",
"transaction_amount": 100,
"transaction_type": "deposit",
"recipient_account_number": "1003204791",
"sender_account_number": "",
"transaction_remarks": "Pila-wallet-credit",
"transaction_reason": null,
"transaction_id": "Pila-c02585e5-9a5b-4130-9c1b-11fd2869f4ce",
"transaction_status": "COMPLETED",
"date_created": "2021-10-10T11:54:01.905196Z"
}
}